Subject: Re: bug#11100: Racy code in copy.c

From: Jim Meyering <[email-masked]>
Date: Sun, 06 May 2012 14:06:21 +0200

Pádraig Brady wrote:
> I can't think of any issue with this.
> Code looks good.
> Test triggers the new condition.

Thanks for the review.
I've squashed the test-adding commit onto the fix, added this sentence
to NEWS:

     With NFS attribute caching, the condition
     was particularly easy to trigger, since there, the removal of D
     could precede the initial stat.

I was about to push, then wondered...
I'd been assuming that the Neil Brown <[email-masked]>
already listed THANKS.in is the same as the Neil F. Brown at SuSE.
We know that assuming is bad, so I checked linux's git log, which
appears to confirm.  So I have updated Neil's name (to add the F.)
and email, too.